Subject: Re: bug#7100: 24.0.50; Emacs for MS Windows cannot handle Unicode file name
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 12 Dec 2013 20:25:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 25 Sep 2010 15:25:07 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: =5ddd=5e61 =592a=4e00 <[email-masked]>( Taichi KAWABATA )
> > Date: Sat, 25 Sep 2010 16:25:07 +0900
> > Cc: 
> > 
> > As MS Windows Emacs only uses fopen(), readdir(), etc., for handling
> > file names, Emacs can not handle Unicode file names.  If Windows uses
> > CP1252, only file names with CP1252 characters can be properly displayed
> > with Emacs.  (In dired, Unicode file names will be displayed as
> > undecipherable file name that contains tilde characters.)
> 
> This is currently a missing feature in the Windows build of Emacs.
> Patches are most welcome.

Since no one stepped forward with the patches, I did it myself.

Starting with trunk revision 115490, Emacs on Windows can access file
names whose names include characters outside of the current ANSI
codepage.